//------------------------------------------------------------------------------
//$Author: saulius $
//$Date: 2018-03-01 08:14:33 -0500 (Thu, 01 Mar 2018) $
//$Revision: 96 $
//$URL: svn://saulius-grazulis.lt/libraries/trunk/java/SOptions/OptionValue.java $
//------------------------------------------------------------------------------

class OptionValue {
    boolean present;
    int count;

    boolean bool;
    char c;
    byte b;
    long i;
    double f;
    String s;

    // Empty default constructor does not need to do anything:
    OptionValue() {}
    
    OptionValue( boolean default_value ) {
        this.bool = default_value;
    }

    OptionValue( char default_value ) {
        this.c = default_value;
    }

    OptionValue( byte default_value ) {
        this.b = default_value;
    }

    OptionValue( long default_value ) {
        this.i = default_value;
    }

    OptionValue( double default_value ) {
        this.f = default_value;
    }

    OptionValue( String default_value ) {
        this.s = default_value;
    }

}
